package com.ym.pojo;

public class MusicScoreMessage {
    /**  */
    private Integer id;

    /**  */
    private Integer examSongId;

    /**  */
    private Integer subjectId;

    /**  */
    private String subjectName;

    /**  */
    private String mp3Url = "";

    /** 速度 */
    private Integer speed;

    /**  */
    private String xmlUrl = "";

    /**  */
    private String examSongName;

    /**  */
    private String categoriesName;

    /**  */
    private Integer categoriesId;

    /**  */
    private String type;

    /**  */
    private String url = "";

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getExamSongId() {
        return examSongId;
    }

    public void setExamSongId(Integer examSongId) {
        this.examSongId = examSongId;
    }

    public Integer getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Integer subjectId) {
        this.subjectId = subjectId;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getMp3Url() {
        return mp3Url;
    }

    public void setMp3Url(String mp3Url) {
        this.mp3Url = mp3Url;
    }

    public Integer getSpeed() {
        return speed;
    }

    public void setSpeed(Integer speed) {
        this.speed = speed;
    }

    public String getXmlUrl() {
        return xmlUrl;
    }

    public void setXmlUrl(String xmlUrl) {
        this.xmlUrl = xmlUrl;
    }

    public String getExamSongName() {
        return examSongName;
    }

    public void setExamSongName(String examSongName) {
        this.examSongName = examSongName;
    }

    public String getCategoriesName() {
        return categoriesName;
    }

    public void setCategoriesName(String categoriesName) {
        this.categoriesName = categoriesName;
    }

    public Integer getCategoriesId() {
        return categoriesId;
    }

    public void setCategoriesId(Integer categoriesId) {
        this.categoriesId = categoriesId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    @Override
    public String toString() {
        return "MusicScoreMessage{" +
                "id='" + id + '\'' +
                ", examSongId='" + examSongId + '\'' +
                ", subjectId='" + subjectId + '\'' +
                ", subjectName='" + subjectName + '\'' +
                ", mp3Url='" + mp3Url + '\'' +
                ", speed='" + speed + '\'' +
                ", xmlUrl='" + xmlUrl + '\'' +
                ", examSongName='" + examSongName + '\'' +
                ", categoriesName='" + categoriesName + '\'' +
                ", categoriesId='" + categoriesId + '\'' +
                ", type='" + type + '\'' +
                ", url='" + url + '\'' +
                '}';
    }
}
